# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Unit test suite for the non functional stats service.

To run these tests, execute:

$ python3 -m unittest nfdc.tests.unit

"""
import unittest

from pyramid import testing

from nfdc.api import v1 as v1_api


class NFDCUnitTests(unittest.TestCase):

    def setUp(self):
        self.config = testing.setUp()
        self.addCleanup(testing.tearDown)

    def test_nothing(self):
        # Nothing to test yet - fixme!
        self.assertEqual(1, 1)
